cURL
curl --request GET \
--url https://api.atlast.co/v1/carriers/services \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.atlast.co/v1/carriers/services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlast.co/v1/carriers/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"carrierId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceId": "<string>",
"name": "<string>",
"deliveryEnabled": true,
"collectionEnabled": true,
"collectionDependency": "NONE",
"carrierName": "<string>",
"type": "ROYAL_MAIL",
"sizeConstraints": [
{
"name": "WIDTH",
"min": 1,
"max": 123,
"unit": "CM"
}
],
"weightConstraint": {
"min": 1,
"max": 123,
"unit": "GRAMS"
},
"logo": "<string>",
"color": "<string>",
"labelExpireDays": 123
}
]Carriers
List carriers services configured to your account
GET
/
carriers
/
services
cURL
Returns all carrier services currently configured to your At Last account.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
200 - application/json
The request has succeeded.
Available options:
NONE, DELIVERY, SAME Name of the carrier
The carrier type as seen in the CarrierType enum.
Available options:
ROYAL_MAIL, EVRI_CORPORATE, YODEL, DPD, INTERNATIONAL, USPS, COLL8, CANADA_POST, DHL, AUSTRALIA_POST, NZ_POST, INPOST, DHL_ECOMMERCE, UPS, POST_NORD Show child attributes
Show child attributes
Show child attributes
Show child attributes
Url for the carrier logo
Preferred carrier colour
Indicates how long do labels last for (in days) after they've been created.